<template>
  <div class="arch">
      <div class="title">{{ currTitle }}</div>
      <template v-for="item in imgList">
          <img :src="item" alt="协会架构" :key="item">
      </template>
  </div>
</template>

<script>
import { article_info } from "../../request/api";
export default {
  name: "Arch",
  data() {
    return {
      imgList: [],
      currTitle: '组织架构'
    };
  },
  created() {
      this.getImgList()
  },
  methods: {
    getImgList() {
      article_info({}, 54).then(({ data }) => {
        let img1 = "http://ca.liuniu946.com/" + data.data.coverimage;
        this.imgList.push(img1);
        article_info({}, 55).then(({ data }) => {
          let img2 = "http://ca.liuniu946.com/" + data.data.coverimage;
          this.imgList.push(img2);
        });
      });
    },
  },
};
</script>

<style lang="scss" scoped>
.title {
  color: #96311c;
  text-align: center;
  font-size: 20px;
  margin: 45px auto;
  font-weight: bold;
  position: relative;
  &::before {
    background: url('../../assets/divbefore.png') no-repeat;
    left: 265px;
  }
  &::after {
    background: url('../../assets/divafter.png') no-repeat;
    left: 474px;   
  }

  &::before, &::after {
    width: 93px;
    height: 5px;
    content: '';
    position: absolute;
    top: 37%;
    margin-top: -2px;
    display: inline-block;
    margin: 0 10px;
  }
}
.arch {
    img {
        width: 858px;
    }
}
</style>